{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.md_scanner.idle": {
      "states": {
        "default": {
          "animations": ["bob"],
          "transitions": [
            {"move": "q.modified_move_speed > 0.08"},
            {"idle": "q.state_time > 5"}
          ],
          "blend_transition": 0.1
        },
        "move": {
          "animations": ["bob"],
          "transitions": [ {"default": "q.modified_move_speed < 0.08"} ],
          "blend_transition": 0.1
        },
        "idle": {
          "animations": ["idle"],
          "transitions": [ 
            {"defaults": "q.all_animations_finished"},
            {"moves": "q.modified_move_speed > 0.08"}
          ],
          "blend_transition": 0.1
        },
        "defaults": {
          "animations": ["bob"],
          "transitions": [
            {"moves": "q.modified_move_speed > 0.08"},
            {"idle_2": "q.state_time > 5"}
          ],
          "blend_transition": 0.1
        },
        "moves": {
          "animations": ["bob"],
          "transitions": [ {"defaults": "q.modified_move_speed < 0.08"} ],
          "blend_transition": 0.1
        },
        "idle_2": {
          "animations": ["idle_2"],
          "transitions": [ 
            {"default": "q.all_animations_finished"},
            {"move": "q.modified_move_speed > 0.08"}
          ],
          "blend_transition": 0.1
        }
      }
    }
  }
}